summaryrefslogtreecommitdiffstats
path: root/docs/scripts/trans-copy.sh
diff options
context:
space:
mode:
Diffstat (limited to 'docs/scripts/trans-copy.sh')
-rwxr-xr-xdocs/scripts/trans-copy.sh34
1 files changed, 34 insertions, 0 deletions
diff --git a/docs/scripts/trans-copy.sh b/docs/scripts/trans-copy.sh
new file mode 100755
index 0000000000..7374ab9e73
--- /dev/null
+++ b/docs/scripts/trans-copy.sh
@@ -0,0 +1,34 @@
+#!/usr/bin/env bash
+set -e
+
+#
+# This script is used to copy the en-US content to our available locales as a
+# fallback to always show all pages when displaying a specific locale that is
+# missing some documents to be translated.
+#
+# Just execute the script without any argument and you will get the missing
+# files copied into the content folder. We are calling this script within the CI
+# server simply by `make trans-copy`.
+#
+
+declare -a LOCALES=(
+ "fr-fr"
+ "nl-nl"
+ "pt-br"
+ "zh-cn"
+ "zh-tw"
+)
+
+ROOT=$(realpath $(dirname $0)/..)
+
+for SOURCE in $(find ${ROOT}/content -type f -iname *.en-us.md); do
+ for LOCALE in "${LOCALES[@]}"; do
+ DEST="${SOURCE%.en-us.md}.${LOCALE}.md"
+
+ if [[ ! -f ${DEST} ]]; then
+ cp ${SOURCE} ${DEST}
+ sed -i.bak "s/en\-us/${LOCALE}/g" ${DEST}
+ rm ${DEST}.bak
+ fi
+ done
+done